Ubuntu

[FFE] Sync linaro-image-tools 2012.08.1-1 (universe) from Debian unstable (main)

Reported by Fathi Boudra on 2012-09-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linaro-image-tools (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync linaro-image-tools 2012.08.1-1 (universe) from Debian unstable (main)

Changelog entries since current quantal version 2012.06-1:

linaro-image-tools (2012.08.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <email address hidden> Wed, 29 Aug 2012 18:31:28 +0300

linaro-image-tools (2012.08-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: re-add python-yaml to dependencies.

 -- Fathi Boudra <email address hidden> Thu, 23 Aug 2012 19:00:53 +0300

Fathi Boudra (fboudra) on 2012-09-03
Changed in linaro-image-tools (Ubuntu):
importance: Undecided → Wishlist
Stefano Rivera (stefanor) wrote :

Please include some more details. A few "New upstream release" entries doesn't tell us much.

See the FFe wiki page for the kind of things we like to see:
https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions

Changed in linaro-image-tools (Ubuntu):
status: New → Incomplete
Fathi Boudra (fboudra) wrote :
Download full text (36.6 KiB)

2012-08-29 Deepti B. Kalakeri <email address hidden>

 * linaro_image_tools/__version__.py:

 Release 2012.08.01

2012-08-29 Deepti B. Kalakeri <email address hidden>

 * linaro_image_tools/media_create/boards.py:

 Fixes problem where lmc fails to create images when the hwpack doesn't provide a valid dtbfile

2012-08-26 Ricardo Salveti de Araujo <email address hidden>

 * linaro_image_tools/media_create/boards.py:

 boards.py: checking for argument value before trying to use it

2012-08-28 Paul Sokolovsky <email address hidden>

 * README:

 [merge] Elaborate test dependencies in README.

2012-08-28 Paul Sokolovsky <email address hidden>

 * README:

 Using ppa:linaro-maintainers/tools is still required on 12.04.

 Using pristine packages leads to weird testr errors, see
 https://bugs.launchpad.net/linaro-image-tools/+bug/1042208

2012-08-28 Paul Sokolovsky <email address hidden>

 * README:

 Wrap in 79 chars.

2012-08-27 Paul Sokolovsky <email address hidden>

 * README:

 Elaborate test dependencies in README.

 1. List more complete list of dependencies.
 2. Add copy-paste ready apt-get command to install them.

2012-08-28 Paul Sokolovsky <email address hidden>

 * linaro_image_tools/hwpack/config.py:
 * linaro_image_tools/hwpack/hwpack_fields.py:

 Add basic definition and property accessor for "copy_files" field.

2012-08-28 Paul Sokolovsky <email address hidden>

 * linaro_image_tools/hwpack/config.py:
 * linaro_image_tools/hwpack/hwpack_fields.py:

 Add basic definition and property accessor for "copy_files" field.

2012-08-23 Stevan Radakovic <email address hidden>

 * linaro_image_tools/__version__.py:

 Post-release version bump to 2012.08.1

2012-08-23 Stevan Radakovic <email address hidden>

 * linaro_image_tools/__version__.py:

 Release 2012.08

2012-08-21 James Tunnicliffe <email address hidden>

 * linaro-hwpack-install:

 linaro-hwpack-install: avoid failing in case depmod also fails

2012-08-17 Ricardo Salveti de Araujo <email address hidden>

 * linaro-hwpack-install:

 linaro-hwpack-install: avoid failing in case depmod also fails

 There's no reason to abort lmc in case depmod fails.

2012-08-10 James Tunnicliffe <email address hidden>

 * linaro-media-create:

 Fix path creation

2012-08-09 Ricardo Salveti de Araujo <email address hidden>

 * linaro-media-create:

 linaro-media-create: fixing os.path.join call

2012-08-09 James Tunnicliffe <email address hidden>

 * linaro-media-create:
 * linaro_image_tools/media_create/chroot_utils.py:

 Fixed PEP8 and minor review quibble

2012-08-09 James Tunnicliffe <email address hidden>

 * linaro-hwpack-install:
 * linaro-media-create:
 * linaro_image_tools/media_create/android_boards.py:
 * linaro_image_tools/media_create/boards.py:
 * linaro_image_tools/media_create/chroot_utils.py:
 * linaro_image_tools/media_create/rootfs.py:
 * linaro_image_tools/media_create/tests/test_media_create.py:

 Adding support for generic linux based images, like OpenEmbedded.

2012-08-05 Ricardo Salveti de Araujo <email address hidden>

 *...

Changed in linaro-image-tools (Ubuntu):
status: Incomplete → New
Fathi Boudra (fboudra) wrote :

Obviously, it's well tested. The relevant changes to justify the FFE:
* Fix problem where lmc fails to create images when the hwpack doesn't provide a valid dtbfile
* Add support for generic linux based images, like OpenEmbedded.
* Add support for hwpack v3
* Increasing vmalloc pool to accommodate ioremap'ed devices and hwmem allocations
* Add device tree support for panda

Stefano Rivera (stefanor) wrote :

LGTM. FFe granted.

Changed in linaro-image-tools (Ubuntu):
status: New → Triaged
Kate Stewart (kate.stewart) wrote :

Fathi, when will this be landing?

Scott Kitterman (kitterman) wrote :

This bug was fixed in the package linaro-image-tools - 2012.08.1-1
Sponsored for Fathi Boudra (fboudra)

---------------
linaro-image-tools (2012.08.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <email address hidden> Wed, 29 Aug 2012 18:31:28 +0300

linaro-image-tools (2012.08-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: re-add python-yaml to dependencies.

 -- Fathi Boudra <email address hidden> Thu, 23 Aug 2012 19:00:53 +0300

Changed in linaro-image-tools (Ubuntu):
status: Triaged → Fix Released
Scott Kitterman (kitterman) wrote :

Now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers